#include<bits/stdc++.h>
using namespace std;

int main()
{
    long long n;
    long long a;
    scanf("%lld %lld",&n,&a);
    if ((n<3*a)||(a==2 && n%2==1)) printf("%d",-1);
    else if(n<4*a-1)
    {
        printf("%lld  %d",a,0);
        printf("\n");
        printf("%lld  %d",a,0);
        printf("\n");
        printf("%lld  %lld",a,n-3*a);
    }
    else if(((n-2*a)%2)==1)
    {
        printf("%lld  %d",a,0);
        printf("\n");
        printf("%lld  %d",a,1);
        printf("\n");
        printf("%lld  %lld",((n-2*a)-1)/2+1,((n-2*a)-1)/2-1);
    }
    else
    {
        printf("%lld  %d",a,0);
        printf("\n");
        printf("%lld  %d",a,0);
        printf("\n");
        printf("%lld  %lld",(n-2*a)/2+1,(n-2*a)/2-1);
    }

    return 0;
}